<?php
include("include/dbcommon.php");

function getClientIP() {
    $ipaddress = '';
    if (isset($_SERVER['HTTP_CLIENT_IP']))
        $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
    else if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_X_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
    else if(isset($_SERVER['HTTP_FORWARDED_FOR']))
        $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
    else if(isset($_SERVER['HTTP_FORWARDED']))
        $ipaddress = $_SERVER['HTTP_FORWARDED'];
    else if(isset($_SERVER['REMOTE_ADDR']))
        $ipaddress = $_SERVER['REMOTE_ADDR'];
    else
        $ipaddress = 'UNKNOWN';
    return $ipaddress;
}

// Get the client's IP address
$clientIP = getClientIP();

// Query to check if the IP address exists in ip_restriction table
$strSQLExists = "SELECT * FROM ip_restriction WHERE ip_add = '".$clientIP."'";
$rsExists = db_query($strSQLExists, $conn);

if (!$rsExists) {
    die("Error executing query: " . mysqli_error($conn));
}

$data = db_fetch_array($rsExists);

if ($data) {

   header("Location: login.php");
    exit();   

} else {
    // IP address not found in database. Redirect to login page or another page.
 
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Access Blocked</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            text-align: center;
            padding: 50px;
        }
        h1 {
            color: #FF0000;
        }
    </style>
</head>
<body>
    <h1>Access Blocked</h1>
    <p>Your IP address <?php echo $clientIP; ?> has been blocked from accessing this website.</p>
    <p>Please contact the site administrator for further assistance.</p>
</body>
</html>
<?php
    // End of PHP block
    exit();
}
?>
